/* -------------------------------------------------------------------------------------------------------------------------
* Project           :C-to-FPGA Solution for Acclerating Tomographic Reconstruction
* File Name         :uwer_forward.h (from project UW Emission Reconstruction) 
*                    Copyright (c) 2004 University of Washington - Imaging Research Laboratory. All rights reserved.
* Version           :1.0 (V1)
* (V1)Author        :Adam Alessio 
* (V1)Created       :Wed, Jan 14 2004
* References        :
* Description       :Header info for uwer_forward.c
*
******This file may not be distributed or modified without this header*****
*-------------------------------------------------------------------------------------------------------------------------*/

#ifndef UWER_FORWARD_H
#define UWER_FORWARD_H

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>

#include "structs.h"
#include "allocate.h"
#include "fft.h"
void forwardSimulation(struct sino_info *sinoInfo,struct recon_image_info *imageInfo,struct exec_parameters *params);
void forwardproject(float **image,float **sinogramData,struct sino_info *sino,struct recon_image_info *geom);


#endif
